curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "EMAIL",
"statusState": "NOT_SPECIFIED",
"subscriptionId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}特定のコンタクトの配信登録ステータスを設定します。
curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "EMAIL",
"statusState": "NOT_SPECIFIED",
"subscriptionId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
コンタクトのEメールアドレス。
コミュニケーションチャネルのタイプ(現在はEMAILだけがサポートされるオプション)。
EMAIL 次を取り得る、コンタクトの現在の配信登録ステータス:SUBSCRIBED、UNSUBSCRIBED'、またはNOT_SPECIFIED。
NOT_SPECIFIED, SUBSCRIBED, UNSUBSCRIBED 更新する配信登録の固有ID。
コミュニケーションの法的根拠(オプションは、 LEGITIMATE_INTEREST_PQL、LEGITIMATE_INTEREST_CLIENT、PERFORMANCE_OF_CONTRACT、CONSENT_WITH_NOTICE、NON_GDPR、PROCESS_AND_STORE、LEGITIMATE_INTEREST_OTHER)。
CONSENT_WITH_NOTICE, LEGITIMATE_INTEREST_CLIENT, LEGITIMATE_INTEREST_OTHER, LEGITIMATE_INTEREST_PQL, NON_GDPR, PERFORMANCE_OF_CONTRACT, PROCESS_AND_STORE コミュニケーションの法的根拠に関する説明。
successful operation
処理が完了した日時。
処理から得られる結果の配列。
Show child attributes
処理が開始された日時。
次の値を取り得る、処理の現在のステータス:PENDING、PROCESSING、CANCELED、COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING 処理中に発生したエラーのリスト。
Show child attributes
ドキュメントやリソースなど、レスポンスに関連するURLが含まれます。
Show child attributes
処理中に発生したエラーの数。
リクエストが行われた日時。